/*
 * MethodStringView.hpp
 *
 *  Created on: Dec 14, 2009
 *      Author: crueger
 */

#ifndef METHODSTRINGVIEW_HPP_
#define METHODSTRINGVIEW_HPP_

#include <boost/function.hpp>

#include "Views/StringView.hpp"

/**
 * Wrapper to produce a StringView from any method that returns a String.
 */
class MethodStringView : public StringView
{
public:
  MethodStringView(boost::function<std::string()>);
  virtual ~MethodStringView();

  virtual const std::string toString();

private:
  boost::function<std::string()> displayMethod;
};

#endif /* METHODSTRINGVIEW_HPP_ */
